[bitbake-devel] [PATCH 08/12] toaster: update requirement for Django 1.6

Alex DAMIAN alexandru.damian at intel.com
Tue Feb 24 17:20:56 UTC 2015


From: Alexandru Damian <alexandru.damian at intel.com>

In order to bring in transaction.set_commit support,
we need Django 1.6, discarding support for Django 1.5

This patch removes 1.5 from the list of acceptable Django
versions.

Signed-off-by: Alexandru Damian <alexandru.damian at intel.com>
---
 bin/toaster | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/toaster b/bin/toaster
index 04f2e99..7907b57 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -129,8 +129,8 @@ function notify_chldexit() {
 function verify_prereq() {
 	# Verify prerequisites
 
-    if ! echo "import django; print (1,) == django.VERSION[0:1] and django.VERSION[1:2][0] in (5,6)" | python 2>/dev/null | grep True >/dev/null; then
-        echo -e "This program needs Django 1.5 or 1.6. Please install with\n\npip install django==1.6\n"
+    if ! echo "import django; print (1,) == django.VERSION[0:1] and django.VERSION[1:2][0] in (6,)" | python 2>/dev/null | grep True >/dev/null; then
+        echo -e "This program needs Django 1.6. Please install with\n\npip install django==1.6\n"
         return 2
     fi
 
-- 
1.9.1




More information about the bitbake-devel mailing list